// Copyright (c) 2008-2010 Done Smart Ltd (donesmart.com)
//
// This software is property of Done Smart Ltd,
// do not redistribute any part of it without our
// permission.
sitelauncherPlugins.register("mouseSupport", 
new function()
{
  this.init = function()
  {
    this.launcherLinksUpdated.after(null);  
  };  
  
  this.dinit = function()
  {
      var els = sitelauncherLauncher.nodes.rows.getElementsByTagName('hbox');
      
      for(var x = 0; x < els.length; x++)
      {
        els[x].removeEventListener('mousedown', sitelauncherPlugins.objects.mouseSupport.processClick, true);
        els[x].setAttribute('class', '');
      }  
  };       
    
  this.launcherLinksUpdated = 
  {
    after : function(ignore)
    { 
      var els = sitelauncherLauncher.nodes.rows.getElementsByTagName('hbox');
      
      for(var x = 0; x < els.length; x++)
      {
        els[x].addEventListener('mousedown', sitelauncherPlugins.objects.mouseSupport.processClick, true);
        els[x].setAttribute('class', 'sitelauncherLauncherMouseSupport');
      }
    }
  };   
  
  this.processClick = function(e)
  {
    if(e.button === 0 || e.button === 1)
    {
      e.stopPropagation(); 
      e.preventDefault();    

      sitelauncherLauncher.launchItemById(e.currentTarget.getAttribute('__slItemId'), e.button === 1);
    }  
  };  
  
});
